<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Liste des Projection</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css">
</head>

<body>
<div class="container my-2">
    <div class="card">
        <div class="card-body">
            <div th:switch="${reservationList}" class="container my-5">
                <div class="col-md-10">
                    <h2 th:case="null">No record found !!</h2>
                    <div th:case="*">
                        <table class="table table-striped table-responsive-md">
                            <thead>
                            <tr>
                                <th>User</th>
                                <th>Reservation</th>
                                <th>is confirmed</th>
                                <th>delete</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr th:each="reservation : ${reservationList}">
                                <td th:text="${reservation.user.username}"></td>
                                <td th:text="${reservation.projection.id}"></td>
                                <td th:text="${reservation.isConfirmed}"></td>
                                <td>
                                    <a th:href="@{/reservation/delete/{id}(id=${reservation.id})}"
                                       class="btn btn-primary">
                                        <i class="fas fa-user-times ml-2"></i>
                                    </a>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
</body>

</html>